<?xml version="1.0" ?>
<xsl:transform version="1.0"
      xmlns:show="https://radiomanifest.degenerazione.xyz/v0.2/shows/"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="/">
        <html>
            <head>
                <title>Shows list</title>
                <style type="text/css">
                    table, th, td { border: 1px solid black; border-collapse: collapse; }
                    th, td { padding: 0.3em; }
                    thead { background-color: #ccc; }
                </style>
            </head>
            <body>
                <table>
                    <thead>
                        <tr>
                        <th>Name</th>
                        <th>Description</th>
                        <th>Website</th>
                        <th>Feed</th>
                        <th>Schedule</th>
                    </tr>
                    </thead>
                    <tbody>
                        <xsl:for-each select="//bookmark/info/metadata">
                            <tr>
                                <xsl:variable name="website" select="show:website"/>
                                <xsl:variable name="feed" select="show:feed"/>
                                <xsl:variable name="description" select="show:feed"/>
                                <xsl:variable name="schedule" select="show:schedule"/>
                                <td><xsl:value-of select="show:name" /></td>
                                <td><xsl:value-of select="show:description" /></td>
                                <td><a href="{$website}">Website</a></td>
                                <td><a href="{$feed}">Feed</a></td>
                                <td><a href="{$schedule}">Schedule</a></td>
                            </tr>
                        </xsl:for-each>
                        </tbody>
                </table>
            </body>
        </html>
    </xsl:template>

</xsl:transform>
